<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];
$mensaje = 1;

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".RELACIONADOS;
	$campoid = "relaID";
	$ig = $_GET;
	$in = $_POST;

	// registros mostrados por pagina
	// maximos 100
	$num_mostrar = CONFIG_28 > 100 ? 100 : CONFIG_28;
	
	if (!isset ($_GET["in"])){
		$ini="0";
	} else {
		$ini=$_GET["in"];
	}
	if (!isset ($_GET["mt"])){
		$mostrar=$num_mostrar;
	} else {
		$mostrar=$_GET["mt"];
	}

	if (!isset ($_GET["pg"])){
		$pagina="1";
	} else {
		$pagina=$_GET["pg"];
	}



if (isset($in["publicar"]))
{
	$itemID = $in["itemID"];
	$tipo = $in["tipo"]; 

	Redir ($archivo_php."?publicar=1&tipo=".$tipo."&itemID=".$itemID);	

}

if (isset($in["guardar"]))
{
	
	
	$itemID = $in["itemID"];
	$tipo = $in["tipo"]; 
	
	$hay_refID = array();	
	for ($i=1; $i<=$mostrar; $i++)
	{
	
		if (isset($in["refID_".$i]))
		{
			$refID = $in["refID_".$i]; 
			$orden = $in["orden_".$i] != "" && is_numeric($in["orden_".$i]) ? $in["orden_".$i] : 0 ;
			$enabled = isset($in["enabled_".$i]) ? $in["enabled_".$i] : 0 ;

			myquery ("INSERT INTO ".RELACIONADOS." (itemID,tipo,refID,orden,enabled) VALUES ('".$itemID."','".$tipo."','".$refID."','".$orden."','".$enabled."')","[g01]");
		
		} else {
		
			$hay_refID[$i] = "";
		}
	}
	
	if (count($hay_refID) == $mostrar)
	{
		// no se han elegido relacionados
		Redir ($archivo_php."?publicar=1&tipo=".$tipo."&itemID=".$itemID."&msj=3");	
	} else {
		// se han guardado relacionados correctamente
		Redir ("listados.php?".$tabla_get."&ini=0&cadena=".$itemID."&donde=itemID&rg=1");
	}

}

if (isset($ig[$campoid]) || isset($in[$campoid]))
{
	// asignar ID gral
	$fileID_gral = isset($ig[$campoid]) ? $ig[$campoid] : $in[$campoid];
	
	
	if (isset($in["actualizar"]))
	{

		// asignar el ID
		$inid = $fileID_gral;
	
		$itemID = $in["itemID"];
		$tipo = $in["tipo"]; 
		
		// chequeo de sustituir o editar
		if (isset($in["refID"]))
		{
			$refID = $in["refID"];
		
		} else {
		
			$refID = $in["refID_actual"];
		
		}
		
		$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
		$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;
		
		if ($enabled == 1)
		{

			if ($tipo == 1 || $tipo == 6) { $tabla_origen = ITEMS; $tabla_id = "itemID"; } // items | productos
			if ($tipo == 2) { $tabla_origen = IMAGENES; $tabla_id = "imgID"; }
			if ($tipo == 3) { $tabla_origen = ARCHIVOS; $tabla_id = "fileID"; }
			if ($tipo == 4 || $tipo == 5) { $tabla_origen = MULTIMEDIA; $tabla_id = "multID"; } // flv | mp3 | embed

			/*if ($tipo == 1) { $tabla_origen = ITEMS; $tabla_id = "itemID"; $SQLplus= ""; }
			if ($tipo == 2) { $tabla_origen = IMAGENES; $tabla_id = "imgID"; $SQLplus= ""; }
			if ($tipo == 3) { $tabla_origen = ARCHIVOS; $tabla_id = "fileID"; $SQLplus= ""; }
			if ($tipo == 4) { $tabla_origen = MULTIMEDIA; $tabla_id = "multID"; $SQLplus= " AND tipo=1"; } // videos
			if ($tipo == 5) { $tabla_origen = MULTIMEDIA; $tabla_id = "multID"; $SQLplus= " AND tipo=2"; } // sonidos
			if ($tipo == 6) { $tabla_origen = ITEMS; $tabla_id = "itemID"; $SQLplus= " AND item_tipo=3"; } // productos
			*/
			
			//$qor = myquery("SELECT * FROM ".$tabla_origen." WHERE ".$tabla_id."='".$refID."'".$SQLplus."","[06or]");
			$qor = myquery("SELECT * FROM ".$tabla_origen." WHERE ".$tabla_id."='".$refID."'","[06or]");
			$row_or = myfetch($qor);
			if ($row_or["enabled"] == 0)
			{
				$enabled = 0;
				$mensaje = 2;
			
			}
		
		
		}
	
		$qs = "UPDATE ".RELACIONADOS." SET itemID='".$itemID."',tipo='".$tipo."',refID='".$refID."',orden='".$orden."',enabled='".$enabled."' WHERE ".$campoid."='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=".$mensaje."&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".RELACIONADOS." WHERE ".$campoid."='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


} else {


/***** NUEVO ******/

$row = array();
$row[$campoid] = "";
$row["itemID"] = "";
$row["tipo"] = "";
$row["refID"] = "";
$row["orden"] = "";
$row["enabled"] = "1";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_editar.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_146; ?></span>
</div>
<?php
	} else {
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_publicar.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_13; ?></span>
</div>
<?php
	}
?>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">

<?php
	if ($no_get)
	{
		
			echo '<div class="rotulo">'.LEN_ADMIN_107.'</div>';	

			echo LEN_ADMIN_64;
			echo '&nbsp;<select name="itemID">';
			echo '<option value="">'.LEN_ADMIN_79.'</option>';
		
			$corte = 45;
			$qit = myquery("SELECT * FROM ".ITEMS." ORDER BY itemID ASC");
			while ($row_qit = myfetch($qit))
			{
				if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
				if ($row_qit["item_tipo"] == 2 ) { $masp=" [*]"; } else { $masp=""; } // intranet
				if ($row_qit["item_tipo"] == 3 ) { $mast=" [=]"; } else { $mast=""; } // tienda
				echo '<option value="'.$row_qit["itemID"].'"';		
				echo '>';
				echo $row_qit["itemID"]." - ".substr($row_qit["titulo"],0,$corte).$mas.$masp.$mast.'</option>';
			}
		 	echo '</select>';
			
			echo '<br /><br />';
			echo LEN_ADMIN_96;
		 	echo '&nbsp;<select name="tipo">';
		 	echo '<option value="">'.LEN_ADMIN_79.'</option>';
		 	echo '<option value="1">'.LEN_ADMIN_270.'</option>'; // items
		 	echo '<option value="2">'.LEN_ADMIN_271.'</option>'; // imagenes
		 	echo '<option value="3">'.LEN_ADMIN_272.'</option>'; // archivos
		 	echo '<option value="4">'.LEN_ADMIN_273.'</option>'; // videos
		 	echo '<option value="5">'.LEN_ADMIN_253.'</option>'; // sonidos
		 	echo '<option value="6">'.LEN_ADMIN_333.'</option>'; // items productos
		 	echo '</select>';	 

?>
<div style="text-align:center;margin:20px 0px 20px 0px;">
	<input type="submit" value="<?php echo LEN_ADMIN_13;?>" class="boton">
	<input type="hidden" name="publicar" value="1">
</div>
<?php

	} // del if ($no_get)
	
	if (isset($ig["publicar"]))
	{
	
		$tipo = $ig["tipo"];
		$itemID_rec = $ig["itemID"];

		echo '<div class="rotulo">'.LEN_ADMIN_109.'</div>';	

		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// ver el listado de los relacionados del item
		echo '<br /><br /><a href="listados.php?'.$tabla_get.'&ini=0&cadena='.$itemID_rec.'&donde=itemID" class="conex_gral">'.LEN_ADMIN_197.'</a>';

		echo '<br /><br />';
		echo LEN_ADMIN_96;
		 	
		 $sel_1 = $tipo == 1 ? " selected" : "" ;
		 $sel_2 = $tipo == 2 ? " selected" : "" ;
		 $sel_3 = $tipo == 3 ? " selected" : "" ;
		 $sel_4 = $tipo == 4 ? " selected" : "" ;
		 $sel_5 = $tipo == 5 ? " selected" : "" ;
		 $sel_6 = $tipo == 6 ? " selected" : "" ;
		 	
		 echo '&nbsp;<select name="tipo" onchange="selec(\'self\',this,0)">';
		 echo '<option value="">'.LEN_ADMIN_79.'</option>';
		 echo '<option value="'.$archivo_php.'?publicar=1&tipo=1&itemID='.$itemID_rec.'"'.$sel_1.'>'.LEN_ADMIN_270.'</option>';
		 echo '<option value="'.$archivo_php.'?publicar=1&tipo=2&itemID='.$itemID_rec.'"'.$sel_2.'>'.LEN_ADMIN_271.'</option>';
		 echo '<option value="'.$archivo_php.'?publicar=1&tipo=3&itemID='.$itemID_rec.'"'.$sel_3.'>'.LEN_ADMIN_272.'</option>';
		 echo '<option value="'.$archivo_php.'?publicar=1&tipo=4&itemID='.$itemID_rec.'"'.$sel_4.'>'.LEN_ADMIN_273.'</option>';
		 echo '<option value="'.$archivo_php.'?publicar=1&tipo=5&itemID='.$itemID_rec.'"'.$sel_5.'>'.LEN_ADMIN_253.'</option>';
		 echo '<option value="'.$archivo_php.'?publicar=1&tipo=6&itemID='.$itemID_rec.'"'.$sel_6.'>'.LEN_ADMIN_333.'</option>';
		 echo '</select>';
	}
	
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		// reconocer el itemID y el tipo de la tabla relacionados
		$qr_rec = myquery("SELECT * FROM ".RELACIONADOS." WHERE relaID='".$ig["relaID"]."'","[09]");
		$row_qr_rec = myfetch($qr_rec);
		$itemID_rec = $row_qr_rec["itemID"] ;
		$tipo_rec = $row_qr_rec["tipo"] ;

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
			
			// si se entra desde la web
			if ($cadena_get_comple == $campoid."=".$fileID_gral)
			{
				$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
			} else {
			
				// con paginacion
				//if ($cadena_get_comple != $campoid."=".$fileID_gral."&".$tabla_get)
				if (strpos($cadena_get_comple, "in="))
				{
					$listado_get = $tabla_get;
				} else {				
					$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
				}
			}

		}

		echo '<div class="rotulo">'.LEN_ADMIN_109.'</div>';	

		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_107).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';


		// ver el listado de los relacionados del item
		echo '<br /><br /><a href="listados.php?'.$tabla_get.'&ini=0&cadena='.$itemID_rec.'&donde=itemID" class="conex_gral">'.LEN_ADMIN_197.'</a>';

	}
		 
		
	// mensajes		
	if (isset($ig["msj"]))
	{
		$msj = $ig["msj"];
		
		if ($msj == 1)
		{
			
			echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;';
		
		} else if ($msj == 2) {
		
			echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'<br />'.LEN_ADMIN_35.'</span>&nbsp;&nbsp;';
		
		} else if ($msj == 3) {
		
			echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_359.'</span>&nbsp;&nbsp;';
		
		}
		
	}


	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
			
		// nombre y conex item
		echo '<br /><br />';
		echo '<div class="div_destacar_grupos">';
		$corte = 45;
		$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row["itemID"]."'");
		$row_qit = myfetch($qit);
		if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$row_qit["itemID"].'" title="'.salida_popups($row_qit["titulo"]).'" class="conex_tip">'.substr($row_qit["titulo"],0,$corte).$mas.'</a> (#'.$row_qit["itemID"].')';
		
		if ($row_qit["item_tipo"] == 2) // intranet
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';		
		}
		if ($row_qit["item_tipo"] == 3) // tienda
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';		
		}
		echo '</div>';
		
	}
	
	if (isset($ig["publicar"]))
	{
		
		// nombre y conex item
		echo '<br /><br />';
		echo '<div class="div_destacar_grupos">';
		$corte = 45;
		$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$itemID_rec."'");
		$row_qit = myfetch($qit);
		if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$row_qit["itemID"].'" title="'.salida_popups($row_qit["titulo"]).'" class="conex_tip">'.substr($row_qit["titulo"],0,$corte).$mas.'</a> (#'.$row_qit["itemID"].')';	
		
		if ($row_qit["item_tipo"] == 2) // intranet
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';		
		}
		if ($row_qit["item_tipo"] == 3) // tienda
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';		
		}
		echo '</div>';
	
	}
		
?>

<?php
	if (isset($ig["publicar"]))
	{
?>

<br /><br />
<?php

			
		if ($tipo == 1)
		{
	
			$qit1 = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo!=3 AND enabled=1 ORDER BY itemID DESC");			
			$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo!=3 AND enabled=1 ORDER BY itemID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "titulo";
			$tit_popups = "titulo";
			$tit_id = "itemID";
		
		} else if ($tipo == 2)
		{
	
			$qit1 = myquery("SELECT * FROM ".IMAGENES." WHERE enabled=1 ORDER BY imgID DESC");			
			$qit = myquery("SELECT * FROM ".IMAGENES." WHERE enabled=1 ORDER BY imgID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "imagen";
			$tit_id = "imgID";
		
		} else if ($tipo == 3)
		{
			$qit1 = myquery("SELECT * FROM ".ARCHIVOS." WHERE enabled=1 ORDER BY fileID DESC");			
			$qit = myquery("SELECT * FROM ".ARCHIVOS." WHERE enabled=1 ORDER BY fileID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "fileID";	
	
		} else if ($tipo == 4)
		{
	
			$qit1 = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=1 OR tipo=3) ORDER BY multID DESC");			
			$qit = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=1 OR tipo=3) ORDER BY multID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "multID";	
		
		} else if ($tipo == 5)
		{
	
			$qit1 = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=2 OR tipo=4) ORDER BY multID DESC");			
			$qit = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=2 OR tipo=4) ORDER BY multID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "multID";	
		
		} else if ($tipo == 6)
		{
			$qit1 = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo=3 AND enabled=1 ORDER BY itemID DESC");			
			$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo=3 AND enabled=1 ORDER BY itemID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "titulo";
			$tit_popups = "titulo";
			$tit_id = "itemID";		
		
		}

		// paginacion
		$totalres = mynumrows($qit1);
		// paginas
		$antes=$ini-$mostrar;
		$sigue=$ini+$mostrar;
		// lo que queda por mostrar
		$resto=$totalres-$ini;
	
		// determinar el tipo
		echo '<input type="hidden" name="tipo" value="'.$tipo.'">';
		// determinar el itemID
		echo '<input type="hidden" name="itemID" value="'.$itemID_rec.'">';
	
		echo '<table width="100%" height="" border="0" cellspacing="1" cellpadding="3" class="contiene">
				<tr>
				<td class="contiene_celda_rot">&nbsp;</td>			
				<td class="contiene_celda_rot">'.LEN_ADMIN_63.'</td>			
				<td class="contiene_celda_rot">'.LEN_ADMIN_69.'</td>			
				<td class="contiene_celda_rot">&nbsp;</td>			
				<td class="contiene_celda_rot">#</td>			
				<td class="contiene_celda_rot">&nbsp;</td>
				</tr>';
		
		$hay_rela = array();				
		$i=1;
		while ($row_qit = myfetch($qit))
		{
		
				
			$qit_rela = myquery("SELECT * FROM ".RELACIONADOS." WHERE refID='".$row_qit[$tit_id]."' AND itemID='".$itemID_rec."' AND tipo='".$tipo."'");	
			$es_rela = mynumrows($qit_rela);			

			// hay relacionados disponibles?
			if ($es_rela == 0)
			{
				$hay_rela[] = "";
			}
			
			// si ya es relacionado y no es el item principal
			if ($es_rela == 0)
			{


				echo '<tr class="contiene_celda_tr">';
				echo '<td class="contiene_celda_her" valign="top" nowrap>
				  		<div class="div_celda_her">';		

				if ($tipo == 2)
				{
		
					if (file_exists_url("../imagenes/".$row_qit["imagen"]))
					{
						$size = getimagesize("../imagenes/".$row_qit["imagen"]);
						$size_ancho = $size[0]/2;

						echo '<a title="';
						echo "<img src=../imagenes/".$row_qit['imagen']." width=".$size_ancho." />";
						echo '" class="conex_tip adcursor">';
						echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_imagen.png" />';	
						echo '</a>';
			
					} else {
			
						echo '-';
					}
			
				} else {


					echo '<a title="';
					echo salida_popups($row_qit[$tit_popups]);
					echo '" class="conex_tip adcursor">';
					echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_info.png" />';	
					echo '</a>';

					if ($tit_id == "itemID")
					{
						if ($row_qit["item_tipo"] == 2) // intranet
						{
							echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';
						}
						if ($row_qit["item_tipo"] == 3) // tienda
						{
							echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';
						}
					}
			
				}
			
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
				  	<div class="div_celda_her">';		
				echo '<input type="checkbox" name="enabled_'.$i.'" value="1" checked>';			
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
				  	<div class="div_celda_her">';		
				echo '<input type="text" name="orden_'.$i.'" value="" class="input_text tmini">';			
				echo '</div>
						</td>';				
				echo '<td class="contiene_celda_her" valign="top">
				  	<div class="div_celda_her">';		
				echo '<input type="checkbox" name="refID_'.$i.'" value="'.$row_qit[$tit_id].'">';			
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
					 	<div class="div_celda_her">';		
				echo $row_qit[$tit_id];
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
				  	<div class="div_celda_her">';		
			
				// nombre
				if ($tipo == 4 || $tipo == 5)
				{
					if ($row_qit["tipo"] == 3)
					{
						echo LEN_ADMIN_408;

					} else if ($row_qit["tipo"] == 4)
					{
						echo LEN_ADMIN_413;
					
					} else {

						$corte = 45;
						if (strlen($row_qit[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
						echo $mas.substr($row_qit[$tit_corte],-$corte);
					
					}
				
				} else if ($tipo == 3) {
						
					$corte = 45;
					if (strlen($row_qit[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
					echo $mas.substr($row_qit[$tit_corte],-$corte);
				
				} else {
				
					$corte = 45;
					if (strlen($row_qit[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
					echo substr($row_qit[$tit_corte],0,$corte).$mas;
				
				}
			
				echo '</div>
						</td>';
				echo '</tr>';
				
			$i++;
			} // del if ($es_rela == 0)
			
		}
		echo '</table>';	

		
		if (count($hay_rela) == 0)
		{
			echo '<br /><span class="mensaje">'.LEN_ADMIN_163.'</span>&nbsp;&nbsp;';
			
		}
?>

<?php
/******************* PAGINAS PUBLICAR RELACIONADO ***********************/

	if ($totalres>0 && $totalres>$mostrar)
	{
?>
<div class="paginas_list">
<?php

		if ($ini > 0)
		{
			echo'<a href="'. $archivo_php .'?publicar=1&tipo='.$tipo.'&itemID='.$itemID_rec.'&in=' .$antes. '&mt=' . $mostrar . '&pg=' . ($pagina-1) . '" class="">'.LEN_ADMIN_139.'</a>';
		}

		echo '&nbsp;&nbsp;';
		echo LEN_ADMIN_141.'&nbsp;&nbsp;';
		echo '<select name="pag" onChange="selec(\'self\',this,0)">';
		
		$numpag=ceil($totalres/$mostrar);

		for($i=1;$i<=$numpag;$i++)
		{
			echo '<option value="'. $archivo_php .'?publicar=1&tipo='.$tipo.'&itemID='.$itemID_rec.'&in=';
			if ($i==1)
			{ 
				echo '0';
			} else if ($i>=2)
			{
				echo $mostrar*($i-1);
			}
			echo '&mt=' . $mostrar . '&pg=' . $i ;
			if ($i==$pagina)
			{
				echo '" selected>';
			} else { 
				echo '">';
			}
			echo  $i . '</option>';
		}

		echo '</select>';
		echo '&nbsp;&nbsp;';

		if ($resto>$mostrar)
		{
			echo'<a href="'. $archivo_php .'?publicar=1&tipo='.$tipo.'&itemID='.$itemID_rec.'&in=' . $sigue . '&mt=' . $mostrar . '&pg=' . ($pagina+1) . '" class="">'.LEN_ADMIN_140.'</a>';
		}

?>
</div>
<?php
	} else {
		
		echo '<div class="paginas_list"></div>';
	
	} // del if $totalres>0 && $totalres>$mostrar

/******************* FIN PAGINAS PUBLICAR RELACIONADO ***********************/
?>

<?php

	} // del if (isset($in["publicar"]))	

	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

?>
<br /><br />
<?php  echo LEN_ADMIN_63; ?>
&nbsp;<input type="checkbox" name="enabled"<?php if ($row["enabled"] == 1) { echo ' checked '; } ?> value="1">

<br /><br />
<?php  echo LEN_ADMIN_69; ?>
&nbsp;<input name="orden" maxlength="11" value="<?php echo $row['orden']; ?>" type="text" class="input_text tmini">

<br /><br />
<div class="div_destacar_grupos">
<?php
	
		echo '<strong>'.LEN_ADMIN_274.'</strong><br /><br />';
		echo '<table width="100%" height="" border="0" cellspacing="1" cellpadding="3" class="contiene">';		
		echo '<tr class="contiene_celda_tr_sel">';

		$qit_rela_es = myquery("SELECT * FROM ".RELACIONADOS." WHERE relaID='".$fileID_gral."' AND itemID='".$itemID_rec."' AND tipo='".$tipo_rec."'");	
		$row_qit_rela_es = myfetch($qit_rela_es);			

		if ($tipo_rec == 1)
		{
			
			$qit_es = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row_qit_rela_es["refID"]."' LIMIT 0,1");
			$tit_corte = "titulo";
			$tit_popups = "titulo";
			$tit_id = "itemID";

		} else if ($tipo_rec == 2)
		{
			
			$qit_es = myquery("SELECT * FROM ".IMAGENES." WHERE imgID='".$row_qit_rela_es["refID"]."' LIMIT 0,1");			
			$tit_corte = "imagen";
			$tit_id = "imgID";
		
		} else if ($tipo_rec == 3)
		{
			
			$qit_es = myquery("SELECT * FROM ".ARCHIVOS." WHERE fileID='".$row_qit_rela_es["refID"]."' LIMIT 0,1");			
			$tit_corte = "archivo";			
			$tit_popups = "nombre";
			$tit_id = "fileID";	
		
		} else if ($tipo_rec == 4)
		{
			
			$qit_es = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$row_qit_rela_es["refID"]."' AND (tipo=1 OR tipo=3) LIMIT 0,1");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "multID";	
		
		} else if ($tipo_rec == 5)
		{
			
			$qit_es = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$row_qit_rela_es["refID"]."' AND (tipo=2 OR tipo=4) LIMIT 0,1");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "multID";	
		
		} else if ($tipo_rec == 6)
		{
			$qit_es = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row_qit_rela_es["refID"]."' LIMIT 0,1");
			$tit_corte = "titulo";
			$tit_popups = "titulo";
			$tit_id = "itemID";

		}
			// salida
			$row_qit_es = myfetch($qit_es);			
				echo '<td class="contiene_celda_her" valign="top">
				  <div class="div_celda_her">';		

				if ($tipo_rec == 2)
				{
		
					if (file_exists_url("../imagenes/".$row_qit_es["imagen"]))
					{
						$size = getimagesize("../imagenes/".$row_qit_es["imagen"]);
						$size_ancho = $size[0]/2;

						echo '<a title="';
						echo "<img src=../imagenes/".$row_qit_es['imagen']." width=".$size_ancho." />";
						echo '" class="conex_tip adcursor">';
						echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_imagen.png" />';	
						echo '</a>';
			
					} else {
			
						echo '-';
					}
			
				} else {

					echo '<a title="';
					echo salida_popups($row_qit_es[$tit_popups]);
					echo '" class="conex_tip adcursor">';
					echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_info.png" />';	
					echo '</a>';

					if ($tit_id == "itemID")
					{
						if ($row_qit_es["item_tipo"] == 2) // intranet
						{
							echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';
						}
						if ($row_qit_es["item_tipo"] == 3) // tienda
						{
							echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';
						}
					}
			
				}
			
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
					 	<div class="div_celda_her">';		
				echo $row_qit_es[$tit_id];
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
				  	<div class="div_celda_her">';		
			
				// nombre
				if ($tipo_rec == 4 || $tipo_rec == 5)
				{
					if ($row_qit_es["tipo"] == 3)
					{
						echo LEN_ADMIN_408;

					} else if ($row_qit_es["tipo"] == 4)
					{
						echo LEN_ADMIN_413;
					
					} else {

						$corte = 45;
						if (strlen($row_qit_es[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
						echo $mas.substr($row_qit_es[$tit_corte],-$corte);
					
					}
				
				} else if ($tipo_rec == 3) {
						
					$corte = 45;
					if (strlen($row_qit_es[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
					echo $mas.substr($row_qit_es[$tit_corte],-$corte);
				
				} else {
				
					$corte = 45;
					if (strlen($row_qit_es[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
					echo substr($row_qit_es[$tit_corte],0,$corte).$mas;
				
				}
							
				echo '</div>
						</td>';
		
		echo '</tr></table>';
		// determinar el refID del relacionado actual
		echo '<input type="hidden" name="refID_actual" value="'.$row_qit_rela_es["refID"].'">';

?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php

		
		if ($tipo_rec == 1)
		{
	
			$qit1 = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo!=3 AND enabled=1");
			$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo!=3 AND enabled=1 ORDER BY itemID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "titulo";
			$tit_popups = "titulo";
			$tit_id = "itemID";
		
		} else if ($tipo_rec == 2)
		{
	
			$qit1 = myquery("SELECT * FROM ".IMAGENES." WHERE enabled=1 ORDER BY imgID DESC");			
			$qit = myquery("SELECT * FROM ".IMAGENES." WHERE enabled=1 ORDER BY imgID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "imagen";
			$tit_id = "imgID";
		
		} else if ($tipo_rec == 3)
		{
			$qit1 = myquery("SELECT * FROM ".ARCHIVOS." WHERE enabled=1 ORDER BY fileID DESC");			
			$qit = myquery("SELECT * FROM ".ARCHIVOS." WHERE enabled=1 ORDER BY fileID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "fileID";	
	
		} else if ($tipo_rec == 4)
		{
	
			$qit1 = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=1 OR tipo=3) ORDER BY multID DESC");			
			$qit = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=1 OR tipo=3) ORDER BY multID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "multID";	
		
		} else if ($tipo_rec == 5)
		{
	
			$qit1 = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=2 OR tipo=4) ORDER BY multID DESC");			
			$qit = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND (tipo=2 OR tipo=4) ORDER BY multID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "archivo";
			$tit_popups = "nombre";
			$tit_id = "multID";	
		
		} else if ($tipo_rec == 6)
		{

			$qit1 = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo=3 AND enabled=1");
			$qit = myquery("SELECT * FROM ".ITEMS." WHERE itemID!='".$itemID_rec."' AND item_tipo=3 AND enabled=1 ORDER BY itemID DESC LIMIT ".$ini.",".$mostrar."");			
			$tit_corte = "titulo";
			$tit_popups = "titulo";
			$tit_id = "itemID";

		}

		// paginacion
		$totalres = mynumrows($qit1);
		// paginas
		$antes=$ini-$mostrar;
		$sigue=$ini+$mostrar;
		// lo que queda por mostrar
		$resto=$totalres-$ini;

		
		// determinar el tipo
		echo '<input type="hidden" name="tipo" value="'.$tipo_rec.'">';
		// determinar el itemID
		echo '<input type="hidden" name="itemID" value="'.$itemID_rec.'">';
	
		echo '<strong>'.LEN_ADMIN_275.'</strong><br /><br />';
		echo '<table width="100%" height="" border="0" cellspacing="1" cellpadding="3" class="contiene">
				<tr>
				<td class="contiene_celda_rot">&nbsp;</td>			
				<td class="contiene_celda_rot">&nbsp;</td>			
				<td class="contiene_celda_rot">#</td>			
				<td class="contiene_celda_rot">&nbsp;</td>
				</tr>';
		$hay_rela = array();
		while ($row_qit = myfetch($qit))
		{
			
			$qit_rela = myquery("SELECT * FROM ".RELACIONADOS." WHERE refID='".$row_qit[$tit_id]."' AND itemID='".$itemID_rec."' AND tipo='".$tipo_rec."'");	
			$es_rela = mynumrows($qit_rela);			
			
			// hay relacionados disponibles?
			if ($es_rela == 0)
			{
				$hay_rela[] = "";
			}
			
			// si ya es relacionado y no es el item principal
			if ($es_rela == 0)
			{
				
				echo '<tr class="contiene_celda_tr">';
				echo '<td class="contiene_celda_her" valign="top" nowrap>
				  <div class="div_celda_her">';		

				if ($tipo_rec == 2)
				{
		
					if (file_exists_url("../imagenes/".$row_qit["imagen"]))
					{
						$size = getimagesize("../imagenes/".$row_qit["imagen"]);
						$size_ancho = $size[0]/2;

						echo '<a title="';
						echo "<img src=../imagenes/".$row_qit['imagen']." width=".$size_ancho." />";
						echo '" class="conex_tip adcursor">';
						echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_imagen.png" />';	
						echo '</a>';
			
					} else {
			
						echo '-';
					}
			
				} else {

					echo '<a title="';
					echo salida_popups($row_qit[$tit_popups]);
					echo '" class="conex_tip adcursor">';
					echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_info.png" />';	
					echo '</a>';

					if ($tit_id == "itemID")
					{
						if ($row_qit["item_tipo"] == 2) // intranet
						{
							echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';
						}
						if ($row_qit["item_tipo"] == 3) // tienda
						{
							echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';
						}
					}
			
				}
			
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
				  		<div class="div_celda_her">';		
				echo '<input type="radio" name="refID" value="'.$row_qit[$tit_id].'">';
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
					 	<div class="div_celda_her">';		
				echo $row_qit[$tit_id];
				echo '</div>
						</td>';
				echo '<td class="contiene_celda_her" valign="top">
				  	<div class="div_celda_her">';		
			
				// nombre
				if ($tipo_rec == 4 || $tipo_rec == 5)
				{
					if ($row_qit["tipo"] == 3)
					{
						echo LEN_ADMIN_408;

					} else if ($row_qit["tipo"] == 4)
					{
						echo LEN_ADMIN_413;
					
					} else {

						$corte = 45;
						if (strlen($row_qit[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
						echo $mas.substr($row_qit[$tit_corte],-$corte);
					
					}
				
				} else if ($tipo_rec == 3) {
						
					$corte = 45;
					if (strlen($row_qit[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
					echo $mas.substr($row_qit[$tit_corte],-$corte);
				
				} else {
				
					$corte = 45;
					if (strlen($row_qit[$tit_corte]) > $corte) { $mas="..."; } else { $mas=""; }	
					echo substr($row_qit[$tit_corte],0,$corte).$mas;
				
				}
			
				echo '</div>
						</td>';
				echo '</tr>';
			
			} // del if ($es_rela == 0)
			
		} // del while
		echo '</table>';
		
		if (count($hay_rela) == 0)
		{
			echo '<br /><span class="mensaje">'.LEN_ADMIN_163.'</span>&nbsp;&nbsp;';
			
		}
		
?>
</div>

<?php
/******************* PAGINAS SUSTITUIR RELACIONADO ***********************/

	if ($totalres>0 && $totalres>$mostrar)
	{
?>
<div class="paginas_list">
<?php

		if ($ini > 0)
		{
			echo'<a href="'. $archivo_php .'?relaID='.$fileID_gral.'&in=' .$antes. '&mt=' . $mostrar . '&pg=' . ($pagina-1) . '" class="">'.LEN_ADMIN_139.'</a>';
		}

		echo '&nbsp;&nbsp;';
		echo LEN_ADMIN_141.'&nbsp;&nbsp;';
		echo '<select name="pag" onChange="selec(\'self\',this,0)">';
		
		$numpag=ceil($totalres/$mostrar);

		for($i=1;$i<=$numpag;$i++)
		{
			echo '<option value="'. $archivo_php .'?relaID='.$fileID_gral.'&in=';
			if ($i==1)
			{ 
				echo '0';
			} else if ($i>=2)
			{
				echo $mostrar*($i-1);
			}
			echo '&mt=' . $mostrar . '&pg=' . $i ;
			if ($i==$pagina)
			{
				echo '" selected>';
			} else { 
				echo '">';
			}
			echo  $i . '</option>';
		}

		echo '</select>';
		echo '&nbsp;&nbsp;';

		if ($resto>$mostrar)
		{
			echo'<a href="'. $archivo_php .'?relaID='.$fileID_gral.'&in=' . $sigue . '&mt=' . $mostrar . '&pg=' . ($pagina+1) . '" class="">'.LEN_ADMIN_140.'</a>';
		}

?>
</div>
<?php
	} else {
		
		echo '<div class="paginas_list"></div>';
	
	} // del if $totalres>0 && $totalres>$mostrar

/******************* FIN PAGINAS SUSTITUIR RELACIONADO ***********************/
?>

<?php
	} // del if (isset($ig[$campoid]) || isset($in["actualizar"]))
?>

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<div style="text-align:center;margin:20px 0px 20px 0px;">
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
</div>
<?php
	}
	
	if (isset($ig["publicar"]))
	{
?>
<div style="text-align:center;margin:20px 0px 20px 0px;">
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
</div>
<?php
	}
?>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>